<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>ctrlightl.ac</path>

  <animation>
    <object-name>Chassis</object-name>
    <object-name>Light</object-name>

    <object-name>Glass</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>Chassis</object-name>
    <object-name>Light</object-name>
    <object-name>Glass</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>Glass</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>Light</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   2 </red>
      <green> 1 </green>
      <blue>  0 </blue>
    </emission>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>Chassis</object-name>
    <object-name>Light</object-name>
    <object-name>Glass</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-assign</command>
        <property>/instrumentation/marker-beacon/middle-test</property>
        <value>1</value>
      </binding>
      <mod-up>
        <binding>
          <command>property-assign</command>
          <property>/instrumentation/marker-beacon/middle-test</property>
          <value>0</value>
        </binding>
      </mod-up>
    </action>
  </animation>

  <animation>
    <type>select</type>
    <object-name>Light</object-name>
    <condition>
      <or>
        <property>/instrumentation/marker-beacon/middle</property>
        <property>/instrumentation/marker-beacon/middle-test</property>
      </or>
    </condition>
  </animation>

  <animation>
    <type>translate</type>
    <object-name>Chassis</object-name>
    <object-name>Light</object-name>
    <object-name>Glass</object-name>
    <property>/instrumentation/marker-beacon/middle-test</property>
    <factor>-0.002</factor>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

</PropertyList>
